# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2
from . import projector_pb2 as protos_dot_projector__pb2


class ProjectorStub(object):
    """Interface exported by the server.
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.startProjectorService = channel.unary_unary(
                '/provee.Projector/startProjectorService',
                request_serializer=protos_dot_projector__pb2.startProjector.SerializeToString,
                response_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                )
        self.getModel = channel.unary_unary(
                '/provee.Projector/getModel',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=protos_dot_projector__pb2.model.FromString,
                )
        self.getProgress = channel.unary_unary(
                '/provee.Projector/getProgress',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=protos_dot_projector__pb2.progressProjector.FromString,
                )


class ProjectorServicer(object):
    """Interface exported by the server.
    """

    def startProjectorService(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getModel(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def getProgress(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_ProjectorServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'startProjectorService': grpc.unary_unary_rpc_method_handler(
                    servicer.startProjectorService,
                    request_deserializer=protos_dot_projector__pb2.startProjector.FromString,
                    response_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            ),
            'getModel': grpc.unary_unary_rpc_method_handler(
                    servicer.getModel,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=protos_dot_projector__pb2.model.SerializeToString,
            ),
            'getProgress': grpc.unary_unary_rpc_method_handler(
                    servicer.getProgress,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=protos_dot_projector__pb2.progressProjector.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'provee.Projector', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Projector(object):
    """Interface exported by the server.
    """

    @staticmethod
    def startProjectorService(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.Projector/startProjectorService',
            protos_dot_projector__pb2.startProjector.SerializeToString,
            google_dot_protobuf_dot_empty__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getModel(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.Projector/getModel',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            protos_dot_projector__pb2.model.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def getProgress(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/provee.Projector/getProgress',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            protos_dot_projector__pb2.progressProjector.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
